SystemOrganization addCategory: #'AL-Tests-Application'!

TestCase subclass: #ALApplicationTest
	instanceVariableNames: 'application'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Tests-Application'!

!ALApplicationTest methodsFor: 'resource faking' stamp: 'cwp 4/23/2011 17:33'!
handleRequest: aRequest locator: aLocator
	^ ALResponse status: 204 reason: 'This is a test.'! !

!ALApplicationTest methodsFor: 'resource faking' stamp: 'cwp 4/23/2011 16:17'!
request: aRequest response: aResponse locator: aLocator
	aResponse status: 204 reason: 'This is a test.'! !

!ALApplicationTest methodsFor: 'tests' stamp: 'cwp 8/16/2011 21:36'!
setUp
	| locator |
	locator := ALLocator forTesting.
	locator at: 'fizz' put: self.
	application := ALApplication withLocator: locator! !

!ALApplicationTest methodsFor: 'tests' stamp: 'cwp 4/23/2011 17:28'!
testHandleRequest
	| response request |
	request := ALRequest method: 'GET' path: ALPath / 'fizz'.
	response := application handleRequest: request.
	self assert: (response isKindOf: ALResponse)
! !

TestCase subclass: #ALLocatorTest
	instanceVariableNames: 'delegate locator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Tests-Application'!

!ALLocatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/16/2011 22:55'!
testAtAlias
	| path |
	path := ALPath / 'alias'.
	locator := ALLocator forTesting.
	locator at: path alias: self.
	self assert: (locator resourceForPath: path) = self.
	self deny: (locator pathForResource: self) = path.  ! !

!ALLocatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/16/2011 22:29'!
testNotFound
	locator := ALLocator forTesting.
	self
		should: [locator resourceForPath: (ALPath / 'plonk')]
		raise: ALNotFound ! !

!ALLocatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/16/2011 22:30'!
testPathForResource
	| path |
	locator := ALLocator forTesting.
	path := locator pathForResource: self.
	self assert: path = (ALPath / 'obj')! !

!ALLocatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/16/2011 22:36'!
testPreseed
	| path resource |
	locator := ALLocator forTesting.
	path := ALPath / 'plonk'.
	locator at: path put: self.
	resource := locator resourceForPath: path.
	self assert: resource = self.! !

!ALLocatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/16/2011 22:29'!
testResourceForPath
	| path resource |
	locator := ALLocator forTesting.
	path := locator pathForResource: self.
	resource := locator resourceForPath: path.
	self assert: resource = self! !
